#6 Remove a patch to drop the runtime dependency on Sphinx
Merged 6 months ago by ksurma. Opened 6 months ago by churchyard.
rpms/ churchyard/python-sphinxcontrib-serializinghtml nopatch  into  rawhide

@@ -1,32 +0,0 @@ 

- From e680b4403819e0afbf5bef6a95227899cade6ae9 Mon Sep 17 00:00:00 2001

- From: Karolina Surma <ksurma@redhat.com>

- Date: Fri, 20 Oct 2023 14:03:31 +0200

- Subject: [PATCH] Prevent circular dependency with Sphinx

- 

- ---

-  pyproject.toml | 4 +---

-  1 file changed, 1 insertion(+), 3 deletions(-)

- 

- diff --git a/pyproject.toml b/pyproject.toml

- index a8cbb00..6518bb6 100644

- --- a/pyproject.toml

- +++ b/pyproject.toml

- @@ -39,14 +39,12 @@ classifiers = [

-      "Topic :: Text Processing",

-      "Topic :: Utilities",

-  ]

- -dependencies = [

- -    "Sphinx>=5",

- -]

-  dynamic = ["version"]

-  

-  [project.optional-dependencies]

-  test = [

-      "pytest",

- +    "Sphinx",

-  ]

-  lint = [

-      "flake8",

- -- 

- 2.41.0

- 

@@ -1,21 +1,12 @@ 

- # when bootstrapping sphinx, we cannot run tests yet

- %bcond_without check

- 

  Name:           python-sphinxcontrib-serializinghtml

  Version:        1.1.9

- Release:        1%{?dist}

+ Release:        2%{?dist}

  Summary:        Sphinx extension for serialized HTML

  License:        BSD-2-Clause

  URL:            http://sphinx-doc.org/

  Source:         %{pypi_source sphinxcontrib_serializinghtml}

  BuildArch:      noarch

  

- # Sphinx requires sphinxcontrib-* packages, they've started requiring Sphinx

- # In the RPM environment the dependencies are handled correctly without it

- # Remove the runtime requirement on Sphinx from this package

- # See: https://github.com/sphinx-doc/sphinx/issues/11567

- Patch:          Prevent-circular-dependency-with-Sphinx.patch

- 

  BuildRequires:  gettext

  BuildRequires:  python%{python3_pkgversion}-devel

  
@@ -34,7 +25,7 @@ 

  

  

  %generate_buildrequires

- %pyproject_buildrequires %{?with_check: -x test}

+ %pyproject_buildrequires -x test

  

  

  %prep
@@ -68,10 +59,8 @@ 

  %find_lang sphinxcontrib.serializinghtml

  

  

- %if %{with check}

  %check

  %pytest

- %endif

  

  

  %files -n python%{python3_pkgversion}-sphinxcontrib-serializinghtml -f sphinxcontrib.serializinghtml.lang
@@ -82,6 +71,10 @@ 

  

  

  %changelog

+ * Thu Nov 16 2023 Miro Hrončok <mhroncok@redhat.com> - 1.1.9-2

+ - Remove a patch to drop the runtime dependency on Sphinx

+ - It is no longer needed, python3-sphinx-7.2.6-2+ no longer Requires this

+ 

  * Thu Aug 24 2023 Karolina Surma <ksurma@redhat.com> - 1.1.9-1

  - Update to 1.1.9

  Resolves: rhbz#2230148

It is no longer needed, python3-sphinx-7.2.6-2+ no longer Requires this

Build succeeded.
https://fedora.softwarefactory-project.io/zuul/buildset/e9a91f325980495cba9eee5c649465dd

All looks good here too. Thank you for working on this.

Pull-Request has been merged by ksurma

6 months ago